/******************************************************************
 * Copyright and Permission Notice                                *
 *                                                                *
 * Permission is granted to copy, use, modify, and merge this     *
 * software into your applications and to permit others to do any *
 * of the foregoing for non-commercial use only. You must include *
 * this permission and copyright notice in all copies and         *
 * modified versions of this software, and include attribution    *
 * to Taligent in all splash screens included in any application  *
 * using this software. You must require others to whom you       *
 * distribute this software to do likewise.                       *
 *                                                                *
 * To obtain an unrestricted commercial license to the software   *
 * source and/or binaries, please contact Taligent at             *
 * widgets@taligent.com                                           *
 *                                                                *
 * THE SOFTWARE IS PROVIDED IN ITS 'AS IS' CONDITION FOR          *
 * NON-COMMERCIAL USE ONLY. TALIGENT DISCLAIMS ANY LIABILITY OF   *
 * ANY KIND FOR DAMAGES WHATSOEVER RESULTING FROM THE USE OF      *
 * THIS SOFTWARE.                                                 *
 *                                                                *
 * (C) Copyright Taligent, Inc. 1997-All Rights Reserved.         *
 * (C) Copyright IBM Corporation 1997                             *
 ******************************************************************/

import java.util.ListResourceBundle;

/**
 * A resource bundle for the Object's strings and other localizable
 * objects.
 * <p>
 * The default language for String entries is American English.
 *
 * @author  Andy Clark, <a href="http://www.taligent.com/">Taligent Inc.</a>
 * @version 1.0
 */
public class MultiColumnListboxAppletResources
    extends ListResourceBundle
    {
    /** <key,value> pairs. */
    public static final Object[][] CONTENTS = {
        // name data -- translation optional
        { "name1",                  "Chris"             },
        { "name2",                  "Andy"              },
        { "name3",                  "Maggie"            },
        { "name4",                  "Ben"               },
        { "name5",                  "Jim"               },
        { "name6",                  "Monica"            },
        { "name7",                  "Scully"            },
        { "name8",                  "Teddy"             },

        // add data
        { "addData",                "Add data"          },
        { "allowResize",            "Allow resize on new column"    },
        { "allowSort",              "Allow sort on new column"      },
        { "alphabetic",             "Alphabetic sort"   },
        { "numeric",                "Numeric sort"      },
        { "addColumn",              "Add Column"        },

        // settings
        { "settings",               "Settings"          },
        { "allowMultiple",          "Allow multiple selection"  },
        { "showHSeparator",         "Show horizontal separator" },
        { "showVSeparator",         "Show vertical separator"   },
        { "listboxSettings",        "Listbox Settings"  },
        { "selectedColumnButton",   "Selected Column..."        },

        // example
        { "example",                "Example"           },

        // misc. strings
        { "modifiers",              "modifiers"         },
        { "clicks",                 "clicks"            },
        { "column",                 "Column"            },

        { "selectedRow",            "Selected row"      },
        { "deselectedRow",          "Deselected row"    },
        { "selectedColumn",         "Selected column"   },
        { "resizedColumn",          "Resized column"    },

        // colors
        { "black",                  "Black"             },
        { "blue",                   "Blue"              },
        { "cyan",                   "Cyan"              },
        { "darkGray",               "Dark Gray"         },
        { "gray",                   "Gray"              },
        { "green",                  "Green"             },
        { "lightGray",              "Light Gray"        },
        { "magenta",                "Magenta"           },
        { "orange",                 "Orange"            },
        { "pink",                   "Pink"              },
        { "red",                    "Red"               },
        { "white",                  "White"             },
        { "yellow",                 "Yellow"            },

        // shared strings
        { "ok",                     "Ok"                },
        { "cancel",                 "Cancel"            },

        // listbox settings dialog
        { "listboxSettings",        "Listbox Settings"  },
        { "rowForeground",          "Row foreground:"   },
        { "rowBackground",          "Row background:"   },
        { "selectionForeground",    "Selection foreground:"     },
        { "selectionBackground",    "Selection background:"     },
        { "backgroundImage",        "Background image:" },
        { "captionbarImage",        "CaptionBar image:" },

        { "none",                   "[none]"            },

        // selected column dialog
        { "column",                 "Column"            },
        { "columnSettings",         "Column Settings"   },
        { "foreground",             "Foreground:"       },
        { "background",             "Background:"       },
        { "resizable",              "Resizable:"        },
        { "visible",                "Visible:"          },
        { "alignment",              "Alignment:"        },

        { "default",                "[default]"         }
        };

    /** Returns the contents of the bundle. */
    public Object[][] getContents() {

        return CONTENTS;
        }
    }
